@mixin user-select($value: none) {
  -webkit-user-select: $value;
  -moz-user-select: $value;
  -ms-user-select: $value;
  user-select: $value;
}

@mixin text-size-adjust($value: none) {
  -webkit-text-size-adjust: $value;
  -moz-text-size-adjust: $value;
  -ms-text-size-adjust: $value;
  -o-text-size-adjust: $value;
  text-size-adjust: $value;
}

@mixin positioning($top: false, $right: false, $bottom: false, 
                   $left: false, $position: false, $z-index: false) {
  @if $top { top: $top; }
  @if $right { right: $right; }
  @if $bottom { bottom: $bottom; }
  @if $left { left: $left; }
  @if $position { position: $position; }
  @if $z-index { z-index: $z-index; }
}

@mixin hand($height, $width, $left, $top, $origin-y, $z-index: false, $hand-color: #000) {
  background: $hand-color;
  @include transform-origin(50%, $origin-y);
  @include positioning($top: $top, $left: $left, $position: inherit, $z-index: $z-index);
  height: $height;
  width: $width;
}